## ros-jazzy-spinnaker-camera-driver 2.0.17

=== debian/changelog ===
ros-jazzy-spinnaker-camera-driver (2.0.17-1bookworm) bookworm; urgency=high

  * fix broken composable node by installing in correct location
  * Add FLIR-AX5 Camera
  * Contributors: Bernd Pfrommer, anonymousarmadillo100

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 17 May 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.16-1bookworm) bookworm; urgency=high

  * add option to disable external control (default!)
  * updated docs for sync driver, switch to RST
  * widened the ExposureController interface
  * fix build errors on rolling/noble
  * added blacklevel and whitebalance support for blackfly
  * use proper name for camerainfo when using sync driver
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 19 Apr 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.15-1bookworm) bookworm; urgency=high

  * fixes to compile on focal/galactic
  * Oryx parameter file
  * support for command nodes
  * remove more spinnaker imports, make spinnaker private
  * added blackfly GigE configuration file
  * track incomplete frames
  * fixed licensing documentation
  * Contributors: Bernd Pfrommer, Sir-Photch

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.11-1bookworm) bookworm; urgency=high

  * provision camera driver for exposure control
  * fixed bugs discovered when running on GigE cams
  * avoid searching ROS path for library
  * added connect_while_subscribed feature
  * Added binning parameter
  * install spinnaker library in same place as driver library
  * remove junk directories from search path
  * added first implementation of synchronized driver
  * prepare single-camera driver for use with sync'ed driver
  * fixed stereo launch file serial nb bug
  * removed changelogs
  * Contributors: Bernd Pfrommer, Luis Camero, buckleytoby

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 28 Feb 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.8-1bookworm) bookworm; urgency=high

  * Changes.
  * Added linux_setup_flir script instructions to Readme
  * Add newline echo before Done
  * Rename script to remove extension
  * Ask permission for usb change and don't limit detection to 1000
  * Ask about usergroup and give feedback
  * Added linux pc setup script
  * fix python formatting to satisfy linter
  * fix formatting of BSD license to satisfy linter
  * Contributors: Bernd Pfrommer, Hilary Luo, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.7-1bookworm) bookworm; urgency=high

  * Changes.
  * Merge pull request #132 <https://github.com/ros-drivers/flir_camera_driver/issues/132> from hilary-luo/humble-devel
    Added udev rule
  * Restricted the device permissions
  * Added Teledyne to udev as requested
  * Added udev rule
  * Contributors: Hilary Luo, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.6-1bookworm) bookworm; urgency=high

  * updated changelog
  * use correct file name when downloading spinnaker from clearpath web site
  * resurrect building when the Spinnaker SDK is present
  * also compile with older version (0.6) of yaml library
  * git clone needs --branch humble-devel
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 11 Aug 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.5-1bookworm) bookworm; urgency=high

  * updated changelog
  * add ffmpeg depency to fix build failures on ROS farm
  * reference correct yaml dependency in rosdep
  * switch from config files to standard yaml format
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 10 Aug 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.4-1bookworm) bookworm; urgency=high

  * updated changelogs
  * install spinnaker libraries in spinnaker_camera_driver dir
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.3-1bookworm) bookworm; urgency=high

  * Changes.
  * Merge pull request #119 <https://github.com/ros-drivers/flir_camera_driver/issues/119> from ros-drivers/fix/tmp-hardcode-os
    Hardcoding OS to jammy since it is the only one currently supported.
  * Hardcoding OS to jammy since it is the only one currently supported.
  * Contributors: Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.2-1bookworm) bookworm; urgency=high

  * Changes.
  * Merge pull request #117 <https://github.com/ros-drivers/flir_camera_driver/issues/117> from ros-drivers/humble-devel-fix-lsb-release
    add dependencies for spinnaker download.
    @tonybaltovski can you release this fix? I'd like to see if it works. Thanks!
  * replace lsb-release with python3-distro
  * add dependencies for spinnaker download
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 27 Jul 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.1-1bookworm) bookworm; urgency=high

  * Changes.
  * Merge pull request #116 <https://github.com/ros-drivers/flir_camera_driver/issues/116> from ros-drivers/humble-devel-fix-lsb-release
    use cmake find_program to detect lsb_release
  * use cmake find_program to detect lsb_release
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.0-1bookworm) bookworm; urgency=high

  * Changes.
  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * added spinnaker_camera_driver package
  * deleted spinnaker ros2 driver, to be replaced by new version

