## ros-jazzy-spinnaker-camera-driver 2.0.20

=== debian/changelog ===
ros-jazzy-spinnaker-camera-driver (2.0.20-1bookworm) bookworm; urgency=high

  * updated docs for jazzy, adjust download script
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 19 Jun 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.19-1bookworm) bookworm; urgency=high

  * remove unnecessary debs from package
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-jazzy-spinnaker-camera-driver (2.0.18-1bookworm) bookworm; urgency=high

  * point to new spinnaker sdk for noble
  * renamed stereo_synced file and added doc
  * added user set control examples for blackfly/blackfly_s
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 17 Jun 2024 16:00:00 -0000
